from machine import Pin
from utime import sleep_ms, sleep
from picodfplayer import DFPlayer
import tm1637

push1 = Pin(0, Pin.IN, Pin.PULL_UP)
push2 = Pin(15, Pin.IN, Pin.PULL_UP)
push3 = Pin(13, Pin.IN, Pin.PULL_UP)
std1 = 1
std2 = 1
std3 = 1
aux  = 0
#Constants. Change these if DFPlayer is connected to other pins.
UART_INSTANCE=1
TX_PIN = 4
RX_PIN=5
BUSY_PIN=16 # This pin is not used for this example however it needs to be declared.
trk = 1
pp = 0 #play/pause
#Create player instance
tm = tm1637.TM1637(clk=Pin(18), dio=Pin(19))
player=DFPlayer(UART_INSTANCE, TX_PIN, RX_PIN, BUSY_PIN)
player.DF_player_init(0x02,15)
player.DF_PlayFromStart()
player.DF_Track(trk)
tm.display_print(trk)

while True:
    
    if pp== 1 and aux==0:
        player.pause()
        aux=1
        
    if pp>1 and aux==1:
        player.resume()
        aux=0
        pp=0
    
    if push1.value() == 0:
        sleep_ms(10)
        if push1.value() == 0:
            std1 = 0
            sleep_ms(10)
    if push1.value() == 1 and std1 == 0:
        trk = trk + 1
        if trk > 12: #if you want more tracks then you must change this value. 
            trk = 1
        player.DF_Track(trk)
        tm.display_print(trk)
        std1 = 1
        
    if push2.value() == 0:
        sleep_ms(10)
        if push2.value() == 0:
            std2 = 0
            sleep_ms(10)
    if push2.value() == 1 and std2 == 0:
        trk = trk - 1
        if trk < 1:  
            trk = 12 #if you want more tracks then you must change this value. 
        player.DF_Track(trk)
        tm.display_print(trk)
        std2 = 1
        
    if push3.value() == 0:
        sleep_ms(10)
        if push3.value() == 0:
            std3 = 0
            sleep_ms(10)
    if push3.value() == 1 and std3 == 0:
         pp = pp + 1
         std3 = 1    
